Bug 1020073 - New gtk3 package causes gnome-shell to crash
New gtk3 package causes gnome-shell to crash
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-16 20:11 EDT by starfall
Modified: 2013-10-28 10:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-28 10:49:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description starfall 2013-10-16 20:11:19 EDT
Description of problem:
Clicking (in gnome-shell) on "Activities > Show Applications > All" causes gnome-shell to crash every time when using gtk3-3.8.5-1.fc19.x86_64.

Version-Release number of selected component (if applicable):


How reproducible:

Always crashed when running on this gtk3 version.

Steps to Reproduce:
1. Update to newest gnome-shell and gtk3 version from repo
2. Restart gnome-shell
3. Go into "Activities > Show Applications > All"
4. Crashes and dumps

Actual results:

Gnome-shell crashes

Expected results:

Gnome-shell does not crash

Additional info:

This bug was submitted by abrt with traces and other info in this bugzilla entry -

Comment 1 Pavel Stárek (CZ) 2013-10-20 04:19:36 EDT
Yes, I can confirm this error. And some GS extensions that worked normally before update to gtk3-3.8.5 are not working and causes GS to crash, ie Frippery applications menu and sometimes Caffeine.
Comment 2 Matthias Clasen 2013-10-21 08:27:35 EDT
Should be fixed in gtk 3.10.2 by https://git.gnome.org/browse/gtk+/commit/?h=gtk-3-10&id=3c41d4865e230f41a3f4cb5f72e438a0788c7bb3
Comment 3 Pavel Stárek (CZ) 2013-10-21 10:09:59 EDT
(In reply to Matthias Clasen from comment #2)
> Should be fixed in gtk 3.10.2 by
> https://git.gnome.org/browse/gtk+/commit/?h=gtk-3-
> 10&id=3c41d4865e230f41a3f4cb5f72e438a0788c7bb3

Hm, I think about that gtk3 3.10 will not be included in Fedora 19, so, this bug must be fixed in 3.8.6 which is in updates testing repo for F19.
Comment 4 Pavel Stárek (CZ) 2013-10-26 16:42:38 EDT
After update to gtk3-3.8.6 all works as expected. So, this bug maybe closed.
Comment 5 Matthias Clasen 2013-10-28 10:49:31 EDT
thanks for testing

Note You need to log in before you can comment on or make changes to this bug.